nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   3D dont work with 180.44 Driver (Jaunty Jackalope) (http://www.nvnews.net/vbulletin/showthread.php?t=132346)

Stargateboy 05-03-09 02:54 PM

3D dont work with 180.44 Driver (Jaunty Jackalope)
 
1 Attachment(s)
Hello,
I have a nvidia gforce 9400 GT and I am using the 180.44 Driver, but the Desktop Effects and many games don't work due to GLX' doesn' t work since I have updated to Ubuntu 9.04 (Jaunty Jackalope). They updated xorg to 1.6 in Jaunty Jackalope. When I tried to install the newest Driver (180.51) X doesn't start anymore so I installed 180.44 again.
Also I cannot find an error in the log file:
Code:

21:25:23,andre@andre:~> grep -i glx /var/log/Xorg.0.log
76:(II) "glx" will be loaded. This was enabled by default and also specified in the config file.
80:(II) LoadModule: "glx"
81:(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
82:(II) Module glx: vendor="NVIDIA Corporation"
85:(II) NVIDIA GLX Module  180.44  Mon Mar 23 15:29:02 PST 2009
86:(II) Loading extension GLX
182:(II) NVIDIA(0): Support for GLX with the Damage and Composite X extensions is
205:(==) NVIDIA(0): Enabling 32-bit ARGB GLX visuals.
235:(II) Loading extension NV-GLX
262:(II) Initializing extension GLX

glxinfo gives me following error:
Code:

21:25:28,andre@andre:~> glxinfo
name of display: :0.0
Error: couldn't find RGB GLX visual or fbconfig

And the OpenGl/GLX Information in the nvidia-settings tells me:
"Fail to query the GLX server vendor."

Thanks
Stargateboy

AaronP 05-03-09 03:06 PM

Re: 3D dont work with 180.44 Driver (Jaunty Jackalope)
 
Please see the forum sticky posts about how to report a problem.

Stargateboy 05-04-09 01:22 PM

Re: 3D dont work with 180.44 Driver (Jaunty Jackalope)
 
I have attached the nvidia-bug-report.

AaronP 05-07-09 12:31 PM

Re: 3D dont work with 180.44 Driver (Jaunty Jackalope)
 
From your bug report, I see this error message in your kernel log:
Quote:

May 3 21:09:25 andre kernel: [ 58.834326] NVRM: API mismatch: the client has the version 180.51, but
May 3 21:09:25 andre kernel: [ 58.834330] NVRM: this kernel module has the version 180.44. Please
May 3 21:09:25 andre kernel: [ 58.834333] NVRM: make sure that this kernel module and all NVIDIA driver
May 3 21:09:25 andre kernel: [ 58.834336] NVRM: components have the same version.
I suspect you have the wrong version of libGL installed. I would recommend reinstalling the driver.

Stargateboy 05-09-09 10:57 AM

Re: 3D dont work with 180.44 Driver (Jaunty Jackalope)
 
Thanks for fast helping ...
Now it works again.
I deleted all leavings of earlier drivers and libgl and installed the newest driver form nvidia homepage again and now it works.
:D

Thanks


All times are GMT -5. The time now is 11:20 AM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.